package com.brilliance.isc.mda.dao;

import com.brilliance.isc.common.rmbbop.entity.Tcr;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface TcrMapper {

    int insert(Tcr record);

    int insertSelective(Tcr record);

    int updateByPrimaryKeySelective(Tcr record);

    int updateByPrimaryKey(Tcr record);

    int deleteByPrimaryKey(Tcr record);

    int deleteByIds(Collection<Object> collection);

    Tcr selectByPrimaryKey(Tcr record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Tcr> dyncRead(Map<String, Object> dyncMap);

    Tcr selectTcrByOwnref(String banktrano);

    int selectTcrByLevyno(String levyno);
}
